## assimp 2.0.863+dfsg

=== debian/changelog ===
assimp (2.0.863+dfsg-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * backported upstream fix for missing-architectures (fixes FTBFS on non-x86)
  * provide a (working) example in libassimp-doc
  * fix insecure use of printf() (Closes: #643354)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 26 Sep 2011 15:38:29 +0200

assimp (2.0.863+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #615055)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Tue, 23 Aug 2011 16:51:26 +0200
