## assimp 3.0~dfsg

=== debian/changelog ===
assimp (3.0~dfsg-2) unstable; urgency=low

  * assimp-utils: Fixed 'assimp cmpdump' argcheck (Closes: #715653)
  * libassimp3: lintian-override for false positive in spellcheck
  * B-D (only) on the default libboost-dev
  * Canonicalized Vcs-* stanzas
  * Fixed my name (after gpg-key transition)
  * Excluded more binary files from licensecheck
  * Updated debian/copyright_hints
  * Regenerated debian/control
  * Bumped standards to 3.9.5

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Mon, 18 Nov 2013 15:40:52 +0100

assimp (3.0~dfsg-1) unstable; urgency=low

  * New upstream

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * Imported Upstream version 3.0~dfsg
  * Removed patches applied by upstream
  * Refreshed patches so they apply cleanly to new upstream
  * Build-depend on current version of libboost-dev (Closes: #678778)
  * Renamed libassimp2 to libassimp3 due to soname change
  * Removed duplicate entries (and symbols not exported by g++-4.7.1)
    from .symbols file
  * Removed D-bindings libassimp3-d-dev (deprecated upstream) (Closes: #677716)
  * Don't try to build samples
  * Enabled hardened builds
  * Build doxygen documentation in separate directory
  * Bumped standards version to 3.9.3
  * Bumped compat version to 9
  * Excluded binaries from copyright-check
  * Regenerated debian/(control|copyright_hints)
  * Updated debian/copyright
  * Updated debian/README.source for upstream-3.0

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Tue, 26 Jun 2012 10:51:54 +0200
