=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: assimp
 Section: graphics
 Priority: extra
-Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
+Maintainer: IOhannes m zmölnig <zmoelnig@iem.at>
 Homepage: http://assimp.sourceforge.net/
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.1),
+Standards-Version: 3.9.5
+Build-Depends: cdbs (>= 0.4.97~),
+ debhelper (>= 9~),
  dh-buildinfo,
- devscripts (>= 2.10.7~),
- python (>= 2.6.5),
- cdbs (>= 0.4.95~),
+ devscripts,
+ python,
  python-dev (>= 2.3.5-7),
  dpkg-dev (>= 1.15.6),
  pkg-kde-tools,
  cmake,
- libboost1.46-dev | libboost-dev,
+ libboost-dev,
  zlib1g-dev | libz-dev,
  doxygen
-Vcs-Git: git://git.debian.org/collab-maint/assimp
-Vcs-Browser: http://git.debian.org/?p=collab-maint/assimp.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/assimp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/assimp.git;a=summary
 
-
-Package: libassimp2
+Package: libassimp3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -47,8 +46,8 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
- libassimp2 (>= ${source:Version}),
- libassimp2 (<< ${source:Upstream-Version}+1~)
+ libassimp3 (>= ${source:Version}),
+ libassimp3 (<< ${source:Upstream-Version}+1~)
 Description: 3D model import library (development)
  Assimp is a library to import various well-known 3D model formats ("assets") in
  a uniform manner.
@@ -94,8 +93,8 @@
 Section: python
 Depends: ${python:Depends},
  ${misc:Depends},
- libassimp2 (>= ${source:Version}),
- libassimp2 (<< ${source:Upstream-Version}+1~)
+ libassimp3 (>= ${source:Version}),
+ libassimp3 (<< ${source:Upstream-Version}+1~)
 Description: 3D model import library (Python bindings)
  Assimp is a library to import various well-known 3D model formats ("assets") in
  a uniform manner.
@@ -104,21 +103,3 @@
  audience.
  .
  This package provides Python bindings to the Assimp library.
-
-Package: libassimp2-d-dev
-Architecture: all
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- libtango-headers,
- libassimp2 (>= ${source:Version}),
- libassimp2 (<< ${source:Upstream-Version}+1~)
-Section: libdevel
-Description: 3D model import library (D bindings)
- Assimp is a library to import various well-known 3D model formats ("assets") in
- a uniform manner.
- Assimp aims at providing a full asset conversion pipeline for use in game
- engines / realtime rendering systems of any kind but is not limited to this
- audience.
- .
- This package provides D bindings to the Assimp library.
-
