=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-## assimp-utils depends on libassimp2
-binary/assimp-utils:: binary/libassimp2
+## assimp-utils depends on libassimp3
+binary/assimp-utils:: binary/libassimp3
 
 # trying to get clean done
 .PHONY: cleanbuilddir-force
@@ -61,12 +61,15 @@
 # Then check manually if everything's ok
 
 # Suppress scanning documentation images causing false alarms.
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((Documentation|CommandLine).chm|tools\/assimp_view\/base\.PNG|tools\/shared\/(default_icon\.xcf|assimp_tools_icon\.png)|port\/Assimp\.NET\/CSharpViewerScreenShot\.PNG|doc\/assimpcmd_html\/dragonsplash\.png|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((Documentation|CommandLine).chm|tools\/assimp_view\/(base\.PNG|HUD\.png)|tools\/shared\/(default_icon\.xcf|assimp_tools_icon\.png)|port\/Assimp\.NET\/CSharpViewerScreenShot\.PNG|doc\/AssimpCmdDoc_Html\/(dragonsplash\.png|AssimpCmdDoc.chm)|doc\/AssimpDoc_Html\/(dragonsplash\.png|AssimpDoc.chm)|debian/(changelog|copyright(|_hints|_newhints)))$
 
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -- -v$(DEB_UPSTREAM_VERSION)
 
-DEB_CMAKE_EXTRA_FLAGS=-DUSE_BUILTIN_ZLIB=OFF -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--version-script=$(CURDIR)/debian/libassimp2.ver" -DASSIMP_BUILD_ARCHITECTURE=$(DEB_HOST_ARCH)
+DEB_CMAKE_EXTRA_FLAGS=-DASSIMP_BUILD_ARCHITECTURE=$(DEB_HOST_ARCH) \
+	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--version-script=$(CURDIR)/debian/libassimp3.ver $(LDFLAGS)" \
+	-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
+	-DBUILD_ASSIMP_SAMPLES=OFF
 
 build/libassimp-doc::
 	cd doc && doxygen Doxyfile
@@ -79,7 +82,10 @@
 	install -T debian/Makefile.samples \
 		$(cdbs_curdestdir)/usr/share/doc/libassimp-doc/samples/SimpleOpenGL/GNUmakefile
 
-clean::
-	rm -rf doc/AssimpCmdDoc_Html/
-	rm -rf doc/AssimpDoc_Html/
 
+.PHONY: cleandoxydocs
+clean:: cleandoxydocs
+cleandoxydocs:
+	rm -rf doc/AssimpCmdDoc_Html_tmp/
+	rm -rf doc/AssimpDoc_Html_tmp/
+
